Bug 1802596 - fix ovnkube-node command-line arguments
Summary: fix ovnkube-node command-line arguments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Dan Winship
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-13 13:57 UTC by Dan Winship
Modified: 2020-05-04 11:36 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:36:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 473 None closed Bug 1802596: Remove erroneous ovnkube node command-line args 2020-04-17 13:20:53 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:36:39 UTC

Description Dan Winship 2020-02-13 13:57:19 UTC
We are mistakenly passing bogus command-line arguments to ovnkube-node in addition to the (correct) config file:

    /usr/bin/ovnkube --init-node ovn-control-plane --cluster-subnets '' --k8s-service-cidr '' ... --config-file=/run/ovnkube-config/ovnkube.conf

With the current code the bad arguments get ignored but this broke an attempt to fix command-line parsing upstream.

Comment 4 errata-xmlrpc 2020-05-04 11:36:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.